package com.hai.order.service.impl;

import com.hai.dao.order.OrderMapperExt;
import com.hai.entity.HighGasOrder;
import com.hai.order.model.OrderCouponModal;
import com.hai.order.service.OrderServiceExt;
import com.hai.service.HighGasOrderService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @className: OrderExtServiceImpl
 * @author: HuRui
 * @date: 2022/8/26
 **/
@Service("newOrderServiceExt")
public class OrderServiceExtImpl implements OrderServiceExt {

    @Resource
    private OrderMapperExt orderMapperExt;

    @Override
    public int userBuyCouponNum(Long userId, Long couponId) {
        return orderMapperExt.userBuyCouponNum(userId,couponId);
    }

    @Override
    public List<OrderCouponModal> getOrderCouponList(Map<String, Object> param) {
        return orderMapperExt.queryOrderCouponList(param);
    }

}
